// #pragma GCC optimize("O3,unroll-loops")
// #pragma GCC target("avx2,bmi,bmi2,popcnt,lzcnt")

#include <bits/stdc++.h>
 
#define int long long 
#define pb push_back
#define ui unsigned int
#define ld long double
#define pl pair<long long int,  long long int>
#define boost ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0);
#define ff first    
#define ss second
#define sz size()
#define all(x) x.begin(), x.end()
 
using namespace std;
 
const int maxn = 5e5 + 11;
const int inf = 1e18 + 1;
const int mod = 1e9 + 7;
// const int mod = 998244353;
const int dx[] = {-1, 0, 0, 1, -1, -1, 1, 1};
const int dy[] = {0, -1, 1 , 0, -1, 1, -1, 1};
const double eps = 1e-10;

int ans;

void ok(int x) {
    ans += x;
    if(x == 1) {
        return;
    }
    ans++;
    
    ok(x - 1);
}

void solve() {
    int h, w;

    cin >> h >> w;

    if(h < w) {
        swap(h, w);
    }

    ok(w);
    int t = ans;
    ans = 0;
    ans += (h * w);

    for(int i = 1; i <= h - 1; i++) {
        ans += t;
        if(h - i == 1) {
            ans += t;
        }
        else {
            ans += (h - i) * w;
        }
    }

    cout << ans;
}
    
signed main() {
    // freopen("sum.in", "r", stdin); 
    // freopen("sum.out", "w", stdout);
 
    boost;      

    int tt = 1;

    // cin >> tt;

    for(int i = 1; i <= tt; i++) {
        // cout << "Case " << i << ":\n";
        solve();    
    }           
}